ArcoLinux -D -B 19.5 iso's have been released

[OPEN] arcolinuxd server - ssh connection required

Nologo
Crewman
Posts: 42
Joined: Fri Dec 01, 2017 12:24 am
Location: Sweden
Contact:
Sweden
Re: [OPEN] arcolinuxd server - ssh connection required

Post by Nologo » Sun Dec 02, 2018 11:04 pm

snapd seams to moved to AUR
use your fav AUR support command
example:

Code: Select all

yay snapd
or

Code: Select all

trizen snapd

unitymedia
Crewman
Posts: 94
Joined: Tue Dec 26, 2017 2:00 pm
Germany
Re: [OPEN] arcolinuxd server - ssh connection required

Post by unitymedia » Mon Dec 03, 2018 1:40 pm

There is a choice

Code: Select all

[user@user-pc ~]$ yay snapd
5 aur/snapd-glib-git 1.44.r6.g44ae271-1 (+1 0.39%) 
    Library to allow GLib/Qt based applications access to snapd, the daemon that controls Snaps
4 aur/snapd-glib 1.44-1 (+2 1.15%) 
    Library to allow GLib/Qt based applications access to snapd, the daemon that controls Snaps
3 aur/snapd-xdg-open-git r44.6fed357-2 (+2 0.03%) 
    Software for opening links from snaps in desktop
2 aur/snapd-git 2.36.1.r471.g43d2f6acb-1 (+4 0.04%) 
    Service and tools for management of snap packages.
1 aur/snapd 2.36.2-1 (+59 7.94%) 
    Service and tools for management of snap packages.
==> Packages to install (eg: 1 2 3, 1-3 or ^4)
==> 

unitymedia
Crewman
Posts: 94
Joined: Tue Dec 26, 2017 2:00 pm
Germany
Re: [OPEN] arcolinuxd server - ssh connection required

Post by unitymedia » Mon Dec 03, 2018 1:43 pm

I chose 1
Now comes the message that has to go

Code: Select all

==> Packages to install (eg: 1 2 3, 1-3 or ^4)
==> 1
:: Checking for conflicts...
:: Checking for inner conflicts...
[Repo: 1]  apparmor-2.13.1-3
[Repo Make: 3]  go-2:1.11.2-2  go-tools-2:1.11+2495+9e9bf16a-1  python-docutils-0.14-2
[Aur: 1]  snapd-2.36.2-1

==> Remove make dependencies after install? [y/N] 

unitymedia
Crewman
Posts: 94
Joined: Tue Dec 26, 2017 2:00 pm
Germany
Re: [OPEN] arcolinuxd server - ssh connection required

Post by unitymedia » Mon Dec 03, 2018 4:52 pm

Hope to have done everything right.

Code: Select all

[user@user-pc ~]$ yay snapd
5 aur/snapd-glib-git 1.44.r6.g44ae271-1 (+1 0.39%) 
    Library to allow GLib/Qt based applications access to snapd, the daemon that controls Snaps
4 aur/snapd-glib 1.44-1 (+2 1.15%) 
    Library to allow GLib/Qt based applications access to snapd, the daemon that controls Snaps
3 aur/snapd-xdg-open-git r44.6fed357-2 (+2 0.03%) 
    Software for opening links from snaps in desktop
2 aur/snapd-git 2.36.1.r471.g43d2f6acb-1 (+4 0.04%) 
    Service and tools for management of snap packages.
1 aur/snapd 2.36.2-1 (+59 7.92%) 
    Service and tools for management of snap packages.
==> Packages to install (eg: 1 2 3, 1-3 or ^4)
==> 1
:: Checking for conflicts...
:: Checking for inner conflicts...
[Repo: 1]  apparmor-2.13.1-3
[Repo Make: 3]  go-2:1.11.2-2  go-tools-2:1.11+2495+9e9bf16a-1  python-docutils-0.14-2
[Aur: 1]  snapd-2.36.2-1

==> Remove make dependencies after install? [y/N] y
:: Downloaded PKGBUILD (1/1): snapd
  1 snapd                            (Build Files Exist)
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> Diffs to show?
==> 1
diff --git /home/user/.cache/yay/snapd/.gitignore /home/user/.cache/yay/snapd/.gitignore
new file mode 100644
index 0000000..bf0d09b
--- /dev/null
+++ /home/user/.cache/yay/snapd/.gitignore
@@ -0,0 +1,4 @@
+src
+pkg
+snapd-*
+*.pkg.*
diff --git /home/user/.cache/yay/snapd/PKGBUILD /home/user/.cache/yay/snapd/PKGBUILD
new file mode 100644
index 0000000..d04ec30
--- /dev/null
+++ /home/user/.cache/yay/snapd/PKGBUILD
@@ -0,0 +1,159 @@
+# Maintainer: aimileus <me at aimileus dot nl>
+# Maintainer: Maciej Borzecki <maciek.borzecki@gmail.com>
+# Contributor: Timothy Redaelli <timothy.redaelli@gmail.com>
+# Contributor: Zygmunt Krynicki <me at zygoon dot pl>
+
+pkgname=snapd
+pkgdesc="Service and tools for management of snap packages."
+depends=('squashfs-tools' 'libseccomp' 'libsystemd' 'apparmor')
+optdepends=('bash-completion: bash completion support')
+pkgver=2.36.2
+pkgrel=1
+arch=('x86_64' 'i686')
+url="https://github.com/snapcore/snapd"
+license=('GPL3')
+makedepends=('git' 'go' 'go-tools' 'libseccomp' 'libcap' 'systemd' 'xfsprogs' 'python-docutils' 'apparmor')
+conflicts=('snap-confine')
+options=('!strip' 'emptydirs')
+install=snapd.install
+source=("$pkgname-$pkgver.tar.xz::https://github.com/snapcore/${pkgname}/releases/download/${pkgver}/${pkgname}_${pkgver}.vendor.tar.xz")
+sha256sums=('5127c5df7b1c0b322d410d6780272912345aa135f8aed0bd3c11763076a4450a')
+
+_gourl=github.com/snapcore/snapd
+
+prepare() {
+  cd "$pkgname-$pkgver"
+
+  export GOPATH="$srcdir/go"
+  mkdir -p "$GOPATH"
+
+  # Have snapd checkout appear in a place suitable for subsequent GOPATH. This
+  # way we don't have to go get it again and it is exactly what the tag/hash
+  # above describes.
+  mkdir -p "$(dirname "$GOPATH/src/${_gourl}")"
+  ln --no-target-directory -fs "$srcdir/$pkgname-$pkgver" "$GOPATH/src/${_gourl}"
+}
+
+build() {
+  cd "$pkgname-$pkgver"
+  export GOPATH="$srcdir/go"
+
+  export CGO_ENABLED="1"
+  export CGO_CFLAGS="${CFLAGS}"
+  export CGO_CPPFLAGS="${CPPFLAGS}"
+  export CGO_CXXFLAGS="${CXXFLAGS}"
+  export CGO_LDFLAGS="${LDFLAGS}"
+
+  ./mkversion.sh $pkgver-$pkgrel
+
+  # because argument expansion with quoting in bash is hard, and -ldflags=-extldflags='-foo'
+  # is not exactly the same as -ldflags "-extldflags '-foo'" use the array trick
+  # to pass exactly what we want
+  flags=(-buildmode=pie -ldflags "-s -extldflags '$LDFLAGS'")
+  staticflags=(-buildmode=pie -ldflags "-s -extldflags '$LDFLAGS -static'")
+  # Build/install snap and snapd
+  go build "${flags[@]}" -o "$GOPATH/bin/snap" "${_gourl}/cmd/snap"
+  go build "${flags[@]}" -o "$GOPATH/bin/snapctl" "${_gourl}/cmd/snapctl"
+  go build "${flags[@]}" -o "$GOPATH/bin/snapd" "${_gourl}/cmd/snapd"
+  go build "${flags[@]}" -o "$GOPATH/bin/snap-seccomp" "${_gourl}/cmd/snap-seccomp"
+  go build "${flags[@]}" -o "$GOPATH/bin/snap-failure" "${_gourl}/cmd/snap-failure"
+  # build snap-exec and snap-update-ns completely static for base snaps
+  go build "${staticflags[@]}" -o "$GOPATH/bin/snap-update-ns" "${_gourl}/cmd/snap-update-ns"
+  go build "${staticflags[@]}" -o "$GOPATH/bin/snap-exec" "${_gourl}/cmd/snap-exec"
+
+  # Generate data files such as real systemd units, dbus service, environment
+  # setup helpers out of the available templates
+  make -C data \
+       BINDIR=/bin \
+       LIBEXECDIR=/usr/lib \
+       SYSTEMDSYSTEMUNITDIR=/usr/lib/systemd/system \
+       SNAP_MOUNT_DIR=/var/lib/snapd/snap \
+       SNAPD_ENVIRONMENT_FILE=/etc/default/snapd
+
...skipping...
+
+  # Have snapd checkout appear in a place suitable for subsequent GOPATH. This
+  # way we don't have to go get it again and it is exactly what the tag/hash
+  # above describes.
+  mkdir -p "$(dirname "$GOPATH/src/${_gourl}")"
+  ln --no-target-directory -fs "$srcdir/$pkgname-$pkgver" "$GOPATH/src/${_gourl}"
+}
+
+build() {
+  cd "$pkgname-$pkgver"
+  export GOPATH="$srcdir/go"
+
+  export CGO_ENABLED="1"
+  export CGO_CFLAGS="${CFLAGS}"
+  export CGO_CPPFLAGS="${CPPFLAGS}"
+  export CGO_CXXFLAGS="${CXXFLAGS}"
+  export CGO_LDFLAGS="${LDFLAGS}"
+
+  ./mkversion.sh $pkgver-$pkgrel
+
+  # because argument expansion with quoting in bash is hard, and -ldflags=-extldflags='-foo'
+  # is not exactly the same as -ldflags "-extldflags '-foo'" use the array trick
+  # to pass exactly what we want
+  flags=(-buildmode=pie -ldflags "-s -extldflags '$LDFLAGS'")
+  staticflags=(-buildmode=pie -ldflags "-s -extldflags '$LDFLAGS -static'")
+  # Build/install snap and snapd
+  go build "${flags[@]}" -o "$GOPATH/bin/snap" "${_gourl}/cmd/snap"
+  go build "${flags[@]}" -o "$GOPATH/bin/snapctl" "${_gourl}/cmd/snapctl"
+  go build "${flags[@]}" -o "$GOPATH/bin/snapd" "${_gourl}/cmd/snapd"
+  go build "${flags[@]}" -o "$GOPATH/bin/snap-seccomp" "${_gourl}/cmd/snap-seccomp"
+  go build "${flags[@]}" -o "$GOPATH/bin/snap-failure" "${_gourl}/cmd/snap-failure"
+  # build snap-exec and snap-update-ns completely static for base snaps
+  go build "${staticflags[@]}" -o "$GOPATH/bin/snap-update-ns" "${_gourl}/cmd/snap-update-ns"
+  go build "${staticflags[@]}" -o "$GOPATH/bin/snap-exec" "${_gourl}/cmd/snap-exec"
+
+  # Generate data files such as real systemd units, dbus service, environment
+  # setup helpers out of the available templates
+  make -C data \
+       BINDIR=/bin \
+       LIBEXECDIR=/usr/lib \
+       SYSTEMDSYSTEMUNITDIR=/usr/lib/systemd/system \
+       SNAP_MOUNT_DIR=/var/lib/snapd/snap \
+       SNAPD_ENVIRONMENT_FILE=/etc/default/snapd
+
+  cd cmd
+  autoreconf -i -f
+  ./configure \
+    --prefix=/usr \
+    --libexecdir=/usr/lib/snapd \
+    --with-snap-mount-dir=/var/lib/snapd/snap \
+    --enable-apparmor \
+    --enable-nvidia-biarch \
+    --enable-merged-usr
+  make $MAKEFLAGS
+}
+
+
+package() {
+  cd "$pkgname-$pkgver"
+  export GOPATH="$srcdir/go"
+
+  # Install bash completion
+  install -Dm644 data/completion/snap \
+    "$pkgdir/usr/share/bash-completion/completions/snap"
+  install -Dm644 data/completion/complete.sh \
+    "$pkgdir/usr/lib/snapd/complete.sh"
+  install -Dm644 data/completion/etelpmoc.sh \
+    "$pkgdir/usr/lib/snapd/etelpmoc.sh"
+
+  # Install systemd units, dbus services and a script for environment variables
+  make -C data/ install \
+     DBUSSERVICESDIR=/usr/share/dbus-1/services \
+     BINDIR=/usr/bin \
+     SYSTEMDSYSTEMUNITDIR=/usr/lib/systemd/system \
+     SNAP_MOUNT_DIR=/var/lib/snapd/snap \
+     DESTDIR="$pkgdir"
+
+  # Install polkit policy
+  install -Dm644 data/polkit/io.snapcraft.snapd.policy \
+    "$pkgdir/usr/share/polkit-1/actions/io.snapcraft.snapd.policy"
+
+  # Install executables
+  install -Dm755 "$GOPATH/bin/snap" "$pkgdir/usr/bin/snap"
+  install -Dm755 "$GOPATH/bin/snapctl" "$pkgdir/usr/bin/snapctl"
+  install -Dm755 "$GOPATH/bin/snapd" "$pkgdir/usr/lib/snapd/snapd"
+  install -Dm755 "$GOPATH/bin/snap-seccomp" "$pkgdir/usr/lib/snapd/snap-seccomp"
+  install -Dm755 "$GOPATH/bin/snap-failure" "$pkgdir/usr/lib/snapd/snap-failure"
+  install -Dm755 "$GOPATH/bin/snap-update-ns" "$pkgdir/usr/lib/snapd/snap-update-ns"
+  install -Dm755 "$GOPATH/bin/snap-exec" "$pkgdir/usr/lib/snapd/snap-exec"
+
+  # pre-create directories
+  install -dm755 "$pkgdir/var/lib/snapd/snap"
+  install -dm755 "$pkgdir/var/cache/snapd"
+  install -dm755 "$pkgdir/var/lib/snapd/apparmor"
+  install -dm755 "$pkgdir/var/lib/snapd/assertions"
+  install -dm755 "$pkgdir/var/lib/snapd/desktop/applications"
+  install -dm755 "$pkgdir/var/lib/snapd/device"
+  install -dm755 "$pkgdir/var/lib/snapd/hostfs"
+  install -dm755 "$pkgdir/var/lib/snapd/mount"
+  install -dm755 "$pkgdir/var/lib/snapd/seccomp/bpf"
+  install -dm755 "$pkgdir/var/lib/snapd/snap/bin"
+  install -dm755 "$pkgdir/var/lib/snapd/snaps"
+  install -dm755 "$pkgdir/var/lib/snapd/lib/gl"
+  install -dm755 "$pkgdir/var/lib/snapd/lib/gl32"
+  install -dm755 "$pkgdir/var/lib/snapd/lib/vulkan"
+  install -dm755 "$pkgdir/var/lib/snapd/lib/glvnd"
+  # these dirs have special permissions
+  install -dm000 "$pkgdir/var/lib/snapd/void"
+  install -dm700 "$pkgdir/var/lib/snapd/cookie"
+  install -dm700 "$pkgdir/var/lib/snapd/cache"
+
+  make -C cmd install DESTDIR="$pkgdir/"
+
+  # Install man file
+  mkdir -p "$pkgdir/usr/share/man/man1"
+  "$GOPATH/bin/snap" help --man > "$pkgdir/usr/share/man/man1/snap.1"
+
+  # Install the "info" data file with snapd version
+  install -m 644 -D "$GOPATH/src/${_gourl}/data/info" \
+          "$pkgdir/usr/lib/snapd/info"
+
+  # Remove snappy core specific units
+  rm -fv "$pkgdir/usr/lib/systemd/system/snapd.system-shutdown.service"
+  rm -fv "$pkgdir/usr/lib/systemd/system/snapd.autoimport.service"
+  rm -fv "$pkgdir"/usr/lib/systemd/system/snapd.snap-repair.*
+  rm -fv "$pkgdir"/usr/lib/systemd/system/snapd.core-fixup.*
+  # and scripts
+  rm -fv "$pkgdir/usr/lib/snapd/snapd.core-fixup.sh"
+  rm -fv "$pkgdir/usr/bin/ubuntu-core-launcher"
+  rm -fv "$pkgdir/usr/lib/snapd/system-shutdown"
+}
diff --git /home/user/.cache/yay/snapd/snapd.install /home/user/.cache/yay/snapd/snapd.install
new file mode 100644
index 0000000..4eb3d78
--- /dev/null
+++ /home/user/.cache/yay/snapd/snapd.install
@@ -0,0 +1,9 @@
+pre_remove() {
+  /usr/lib/snapd/snap-mgmt --purge || :
+  rm -f /etc/udev/rules.d/70-snap.*.rules || true
+  rm -f /etc/dbus-1/system.d/snap.* || true
+  rm -f /var/lib/snapd/system-key || true
+}
+
+# vim:set ts=2 sw=2 et:
+
(END)

Nologo
Crewman
Posts: 42
Joined: Fri Dec 01, 2017 12:24 am
Location: Sweden
Contact:
Sweden
Re: [OPEN] arcolinuxd server - ssh connection required

Post by Nologo » Mon Dec 03, 2018 8:38 pm

I would have made the same choice. But of course, it depend what you want snapd for. The choice is yours ;)

unitymedia
Crewman
Posts: 94
Joined: Tue Dec 26, 2017 2:00 pm
Germany
Re: [OPEN] arcolinuxd server - ssh connection required

Post by unitymedia » Mon Dec 03, 2018 11:37 pm

Which webserver has arcolinux installed?
lets-encrypt reports error , Faith is in the web server.
Port forwarding works, tested with other device.

Nologo
Crewman
Posts: 42
Joined: Fri Dec 01, 2017 12:24 am
Location: Sweden
Contact:
Sweden
Re: [OPEN] arcolinuxd server - ssh connection required

Post by Nologo » Tue Dec 04, 2018 12:05 am

There are different ways to check this.

Go to github. look in packages.x86_64 file in the acrolinux-iso that you installed.

Or

Code: Select all

pacman -Qq > packages.txt
search in the file for example httpd

unitymedia
Crewman
Posts: 94
Joined: Tue Dec 26, 2017 2:00 pm
Germany
Re: [OPEN] arcolinuxd server - ssh connection required

Post by unitymedia » Tue Dec 04, 2018 3:26 pm

Can it be that I have no webserver?
output
pacman -Q

Code: Select all

dbus-glib 0.110-1
dconf 0.30.1-1
ddrescue 1.23-1
desktop-file-utils 0.23+4+g92af410-1
device-mapper 2.02.182-1
dhclient 4.4.1-4
dhcpcd 7.0.8-1
dialog 1:1.3_20181107-1
diffutils 3.6-2
ding-libs 0.6.1-2
dmidecode 3.2-1
dmraid 1.0.0.rc16.3-11
dnsmasq 2.80-1
dnssec-anchors 20181003-1
dosfstools 4.1-2
double-conversion 3.1.1-1
drbl 2.25.10-1
e2fsprogs 1.44.4-1
ecryptfs-utils 111-3
efibootmgr 16-1
efitools 1.8.1-1
efivar 35-1
elinks 0.13-20
ethtool 1:4.19-1
exfat-utils 1.3.0-1
expat 2.2.6-1
f2fs-tools 1.12.0-2
fakeroot 1.23-1
file 5.35-1
filesystem 2018.8-1
findutils 4.6.0-4
flex 2.6.4-2
fontconfig 2:2.13.1+12+g5f5ec56-1
freetype2 2.9.1-1
fribidi 1.0.5-1
fsarchiver 0.8.5-1
fuse-common 3.3.0-1
fuse2 2.9.8-1
fuse3 3.3.0-1
gamin 0.1.10-9
gawk 4.2.1-1
gc 7.6.8-1
gcc 8.2.1+20180831-1
gcc-libs 8.2.1+20180831-1
gconf 3.2.6+11+g07808097-4
gcr 3.28.0-4
gdbm 1.18.1-1
gdk-pixbuf2 2.38.0-1
geoip 1.6.12-1
geoip-database 20180403-1
gettext 0.19.8.1-3
git 2.19.2-1
gksu 2.0.2-6
glib-networking 2.58.0-1
glib2 2.58.1+67+g17519e039-1
glibc 2.28-5
glibmm 2.56.0-1
glxinfo 8.4.0-1
gmp 6.1.2-2
gnu-netcat 0.7.1-7
gnupg 2.2.11-1
gnutls 3.5.19-2
gparted 0.32.0-1
gpgme 1.12.0-1
gpm 1.20.7.r27.g1fd1941-1
gptfdisk 1.0.4-1
graphite 1:1.3.12-1
grep 3.1-2
groff 1.22.3-8
grub 2:2.02-8
gsettings-desktop-schemas 3.28.1-1
gssproxy 0.8.0-1
gtk-update-icon-cache 3.24.1+8+g220f77d8c1-1
gtk2 2.24.32-1
gtk3 3.24.1+8+g220f77d8c1-1
gtkmm 1:2.24.5-3
guile 2.2.4-1
gzip 1.9-2
harfbuzz 2.2.0-1
haveged 1.9.4-3
hdparm 9.58-1
hicolor-icon-theme 0.17-1
hwids 20180917-1
hwinfo 21.58-1
iana-etc 20180913-1
icu 63.1-2
inetutils 1.9.4-6
iniparser 4.1-1
intel-ucode 20180807.a-1
iproute2 4.19.0-1
iptables 1:1.8.2-1
iputils 20180629.f6aac8d-2
ipw2100-fw 1.3-9
ipw2200-fw 3.1-7
irssi 1.1.1-2
iso-codes 4.1-1
iw 4.14-1
jansson 2.11-1
jasper 2.0.14-1
jfsutils 1.1.15-6
js52 52.9.0-1
json-c 0.13.1-2
json-glib 1.4.4-1
kbd 2.0.4-2
kcoreaddons 5.52.0-1
keyutils 1.6-1
kmod 25-1
krb5 1.16.1-1
laptop-detect 0.13.8-2
lbzip2 2.5-4
lcms2 2.9-1
ldb 1:1.4.3-1
ldns 1.7.0-4
less 530-1
libaio 0.3.111-2
libarchive 3.3.3-1
libassuan 2.5.1-1
libatomic_ops 7.6.6-1
libbsd 0.9.1-1
libcanberra 0.30+2+gc0620e4-2
libcap 2.26-1
libcap-ng 0.7.9-1
libcroco 0.6.12+4+g9ad7287-2
libcups 2.2.9-1
libdaemon 0.14-4
libdatrie 0.2.12-1
libdmx 1.1.4-1
libdrm 2.4.96-1
libedit 20180525_3.1-1
libelf 0.174-1
libepoxy 1.5.3-1
libevdev 1.6.0-1
libevent 2.1.8-2
libffi 3.2.1-3
libfontenc 1.1.3-2
libgcrypt 1.8.4-1
libgksu 2.0.12-8
libglvnd 1.1.0-1
libgnome-keyring 3.12.0-3
libgpg-error 1.32-1
libgtop 2.38.0+13+gcab8791f-1
libgudev 232-1
libgusb 0.3.0-1
libice 1.0.9-2
libidn 1.35-1
libidn2 2.0.5-1
libimobiledevice 1.2.0+87+g92c5462-1
libinput 1.12.3-1
libjpeg-turbo 2.0.1-1
libksba 1.3.5-1
libldap 2.4.46-2
libmbim 1.16.2-1
libmm-glib 1.8.2-1
libmnl 1.0.4-2
libmpc 1.1.0-1
libndp 1.7-1
libnetfilter_conntrack 1.0.7-1
libnewt 0.52.20-2
libnfnetlink 1.0.1-3
libnftnl 1.1.1-1
libnghttp2 1.34.0-1
libnl 3.4.0-1
libnm 1.14.5dev+17+gba83251bb-1
libnm-glib 1.14.5dev+17+gba83251bb-1
libnm-gtk 1.8.19dev+21+geebf7f95-1
libnma 1.8.19dev+21+geebf7f95-1
libnotify 0.7.7-2
libnsl 1.2.0-1
libogg 1.3.3-3
libomxil-bellagio 0.9.3-2
libpcap 1.9.0-1
libpciaccess 0.14-1
libpgm 5.2.122-3
libpipeline 1.5.0-1
libplist 2.0.0+11+gec9ba8b-2
libpng 1.6.35-1
libproxy 0.4.15-8
libpsl 0.20.2-1
libpwquality 1.4.0-1
libqmi 1.20.2-1
librsvg 2:2.44.9-1
libsasl 2.1.26-13
libseccomp 2.3.3-1
libsecret 0.18.6-1
libsigc++ 2.10.1-1
libsm 1.2.3-1
libsodium 1.0.16-1
libsoup 2.64.2-1
libssh2 1.8.0-3
libsystemd 239.303-1
libtasn1 4.13-1
libteam 1.27-2
libthai 0.1.28-1
libtiff 4.0.10-1
libtirpc 1.1.4-1
libtool 2.4.6+42+gb88cebd5-2
libunistring 0.9.10-1
libunwind 1.2.1-2
libusb 1.0.22-1
libusbmuxd 1.0.10+29+g9db5747-1
libutempter 1.1.6-3
libutil-linux 2.33-2
libvorbis 1.3.6-1
libwacom 0.32-1
libwbclient 4.9.3-1
libx11 1.6.7-1
libx86emu 1.12-1
libxau 1.0.8-3
libxaw 1.0.13-2
libxcb 1.13.1-1
libxcomposite 0.4.4-3
libxcursor 1.1.15-1
libxdamage 1.1.4-3
libxdmcp 1.1.2-2
libxext 1.3.3-2
libxfixes 5.0.3-2
libxfont2 2.0.3-1
libxft 2.3.2-2
libxi 1.7.9-2
libxinerama 1.1.4-1
libxkbcommon 0.8.2-1
libxkbcommon-x11 0.8.2-1
libxkbfile 1.0.9-2
libxml2 2.9.8-6
libxmu 1.1.2-2
libxpm 3.5.12-2
libxrandr 1.5.1-2
libxrender 0.9.10-2
libxshmfence 1.3-1
libxt 1.1.5-2
libxtst 1.2.3-2
libxv 1.0.11-2
libxvmc 1.0.10-2
libxxf86dga 1.1.4-2
libxxf86vm 1.1.4-2
licenses 20181104-1
linux 4.19.4.arch1-1
linux-api-headers 4.17.11-1
linux-atm 2.5.2-5
linux-firmware 20181026.1cb4e51-1
llvm-libs 7.0.0-2
lm_sensors 3.4.0+5176+dcf23676-1
lmdb 0.9.22-1
logrotate 3.14.0-1
lrzip 0.631-2
lsb-release 1.4-15
lsscsi 0.30-1
lua51 5.1.5-7
lvm2 2.02.182-1
lz4 1:1.8.3-1
lzo 2.10-2
lzop 1.04-1
m4 1.4.18-2
make 4.2.1-3
man-db 2.8.4-1
man-pages 4.16-2
mc 4.8.21-1
mdadm 4.0-2
memtest86+ 5.01-3
mesa 18.2.5-1
mkinitcpio 25-1
mkinitcpio-busybox 1.29.3-1
mkinitcpio-nfs-utils 0.3-6
mkinitcpio-openswap 0.1.0-3
mlocate 0.26.git.20170220-1
mobile-broadband-provider-info 20170310-2
modemmanager 1.8.2-1
mpfr 4.0.1-1
mtdev 1.1.5-2
mtools 4.0.21-1
nano 3.2-1
nbd 3.18-1
ncurses 6.1-4
ndisc6 1.0.3-3
neofetch 5.0.0-1
net-tools 1.60.20180212git-1
netctl 1.19-1
nettle 3.4-1
network-manager-applet 1.8.19dev+21+geebf7f95-1
networkmanager 1.14.5dev+17+gba83251bb-1
networkmanager-dispatcher-ntpd 1.0-7
networkmanager-openconnect 1.2.4-3
networkmanager-openvpn 1.8.8-1
networkmanager-pptp 1.2.8-1
networkmanager-vpnc 1.2.6-1
nfs-utils 2.3.3-1
nfsidmap 2.3.3-1
nilfs-utils 2.2.7-1
nm-connection-editor 1.8.19dev+21+geebf7f95-1
noto-fonts 20181024-1
npth 1.6-1
nspr 4.20-1
nss 3.40-2
ntfs-3g 2017.3.23-3
ntp 4.2.8.p12-2
numlockx 1.2-4
openconnect 1:7.08-2
openresolv 3.9.0-2
openssh 7.9p1-1
openssl 1.1.1.a-1
openssl-1.0 1.0.2.p-1
openvpn 2.4.6-1
os-prober 1.76-1
p11-kit 0.23.14-1
package-query 1.9-3
pacman 5.1.1-1
pacman-mirrorlist 20180912-1
pacutils 0.6.2-3
pam 1.3.1-1
pambase 20171006-1
pango 1.42.4-1
pangomm 2.42.0-1
partclone 0.3.11-1
parted 3.2-7
partimage 0.6.9-12
patch 2.7.6-7
pbzip2 1.1.13-2
pciutils 3.6.2-1
pcre 8.42-1
pcre2 10.32-1
pcsclite 1.8.24-1
perl 5.28.0-1
perl-data-dump 1.23-4
perl-encode-locale 1.05-4
perl-error 0.17027-1
perl-file-listing 6.04-5
perl-html-parser 3.72-6
perl-html-tagset 3.20-7
perl-http-cookies 6.04-3
perl-http-daemon 6.01-6
perl-http-date 6.02-5
perl-http-message 6.18-2
perl-http-negotiate 6.01-5
perl-io-html 1.001-4
perl-io-socket-ssl 2.060-1
perl-json 2.97001-1
perl-libwww 6.36-1
perl-log-message 0.08-4
perl-log-message-simple 0.10-4
perl-lwp-mediatypes 6.02-5
perl-lwp-protocol-https 6.07-2
perl-mailtools 2.20-2
perl-net-http 6.18-2
perl-net-ssleay 1.85-2
perl-parse-yapp 1.21-1
perl-term-readline-gnu 1.35-5
perl-term-ui 0.46-4
perl-timedate 2.30-5
perl-try-tiny 0.30-2
perl-uri 1.74-2
perl-www-robotrules 6.02-5
pigz 2.4-1
pinentry 1.1.0-4
pixman 0.36.0-1
pixz 1.0.6-2
pkcs11-helper 1.25.1-1
pkgconf 1.5.4-1
polkit 0.115+3+g8638ec5-1
popt 1.16-10
ppp 2.4.7-5
pptpclient 1.10.0-1
procps-ng 3.3.15-1
progsreiserfs 0.3.0.5-9
psmisc 23.2-1
python 3.7.1-1
python2 2.7.15-2
qt5-base 5.11.2-3
readline 7.0.005-1
refind-efi 0.11.3-1
reflector 2018-2
reiserfsprogs 3.6.27-2
rest 0.8.1-1
rp-pppoe 3.12-3
rpcbind 1.2.5-2
rsync 3.1.3-1
s-nail 14.9.11-1
samba 4.9.3-1
sardi-icons 9.6-13
sdparm 1.10-2
sed 4.5-1
sg3_utils 1.44-1
shadow 4.6-1
shared-mime-info 1.10-1
slang 2.3.2-1
smartmontools 6.6-2
smbclient 4.9.3-1
snapd 2.36.2-1
sound-theme-freedesktop 0.8-3
sqlite 3.25.3-1
squashfs-tools 4.3-6
sshfs 3.5.0-1
startup-notification 0.12-6
sudo 1.8.26-2
sysfsutils 2.1.0-10
syslinux 6.03-11
systemd 239.303-1
systemd-sysvcompat 239.303-1
talloc 2.1.14-1
tar 1.30-2
tcl 8.6.9-2
tcpdump 4.9.2-1
tdb 1.3.16-1
termite 14-2
termite-terminfo 14-2
testdisk 7.0-5
tevent 1:0.9.37-1
texinfo 6.5-2
thin-provisioning-tools 0.7.6-1
tre 0.8.0-5
trizen 1:1.55-1
tslib 1.18-1
ttf-dejavu 2.37-2
tzdata 2018g-1
upower 0.99.9-1
usb_modeswitch 2.5.2-1
usbmuxd 1.1.0+48+g1cc8b34-2
usbutils 010-1
util-linux 2.33-2
vi 1:070224-3
vim 8.1.0542-1
vim-runtime 8.1.0542-1
vpnc 0.5.3.svn550-3
vte-common 0.54.2-1
wayland 1.16.0-1
wayland-protocols 1.17-1
wget 1.19.5-1
which 2.21-3
wireless-regdb 2018.10.24-2
wireless_tools 30.pre9-2
wpa_actiond 1.4-3
wpa_supplicant 1:2.6-12
wvdial 1.61-7
wvstreams 4.6.1-15
xbitmaps 1.1.2-1
xcb-proto 1.13-2
xcb-util 0.4.0-2
xcb-util-image 0.4.0-2
xcb-util-keysyms 0.4.0-2
xcb-util-renderutil 0.3.9-2
xcb-util-wm 0.4.1-2
xcursor-breeze 1:5.14.1-1
xdg-utils 1.1.3-3
xf86-input-elographics 1.4.1-8
xf86-input-evdev 2.10.6-1
xf86-input-keyboard 1.9.0-3
xf86-input-libinput 0.28.1-1
xf86-input-mouse 1.9.3-1
xf86-input-vmmouse 13.1.0-4
xf86-input-void 1.4.1-4
xf86-video-amdgpu 18.1.0-1
xf86-video-ati 1:18.1.0-1
xf86-video-fbdev 0.5.0-1
xf86-video-intel 1:2.99.917+855+g746ab3bb-1
xf86-video-openchrome 0.6.0-3
xf86-video-vesa 2.4.0-2
xf86-video-vmware 13.3.0-1
xfsprogs 4.19.0-1
xkeyboard-config 2.25-1
xl2tpd 1.3.12-2
xorg-bdftopcf 1.1-1
xorg-fonts-encodings 1.0.4-5
xorg-iceauth 1.0.8-1
xorg-luit 1.1.1-3
xorg-mkfontdir 1.0.7-9
xorg-mkfontscale 1.1.3-1
xorg-server 1.20.3-1
xorg-server-common 1.20.3-1
xorg-sessreg 1.1.1-2
xorg-setxkbmap 1.3.1-2
xorg-smproxy 1.0.6-2
xorg-x11perf 1.6.0-2
xorg-xauth 1.0.10-2
xorg-xbacklight 1.2.2-1
xorg-xcmsdb 1.0.5-2
xorg-xcursorgen 1.0.6-2
xorg-xdpyinfo 1.3.2-2
xorg-xdriinfo 1.0.6-1
xorg-xev 1.2.2-2
xorg-xgamma 1.0.6-2
xorg-xhost 1.0.7-2
xorg-xinit 1.4.0-3
xorg-xinput 1.6.2-2
xorg-xkbcomp 1.4.2-1
xorg-xkbevd 1.1.4-2
xorg-xkbutils 1.0.4-3
xorg-xkill 1.0.5-1
xorg-xlsatoms 1.1.2-2
xorg-xlsclients 1.1.4-1
xorg-xmodmap 1.0.9-2
xorg-xpr 1.0.5-1
xorg-xprop 1.2.3-1
xorg-xrandr 1.5.0-2
xorg-xrdb 1.1.1-1
xorg-xrefresh 1.0.6-1
xorg-xset 1.2.4-1
xorg-xsetroot 1.1.2-1
xorg-xvinfo 1.1.3-2
xorg-xwd 1.0.7-1
xorg-xwininfo 1.1.4-1
xorg-xwud 1.0.5-1
xorgproto 2018.4-1
xplc 0.3.13-8
xterm 337-1
xz 5.2.4-1
yajl 2.1.0-2
yaourt 1.9-1
yay-bin 8.1173.0-1
zeromq 4.2.5-1
zlib 1:1.2.11-3
zsh 5.6.2-1
zstd 1.3.7-1
[user@user-pc ~]$ 

unitymedia
Crewman
Posts: 94
Joined: Tue Dec 26, 2017 2:00 pm
Germany
Re: [OPEN] arcolinuxd server - ssh connection required

Post by unitymedia » Tue Dec 04, 2018 6:17 pm

I'll start with nginx, and there comes first mistake

Code: Select all

[root@user-pc user]# pacman -S nginx
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Paket (2)      Neue Version          Netto-Veränderung  Größe des Downloads

extra/mailcap  2.1.48+14+g5811758-1           0,10 MiB             0,02 MiB
extra/nginx    1.14.1-1                       1,51 MiB             0,49 MiB

Gesamtgröße des Downloads:           0,51 MiB
Gesamtgröße der installierten Pakete:  1,61 MiB

:: Installation fortsetzen? [J/n] j
:: Empfange Pakete...
 mailcap-2.1.48+14+g5811758-1-any                                            25,0 KiB  1250K/s 00:00 [------------------------------------------------------------]   4%
 nginx-1.14.1-1-x86_64                                                      525,6 KiB  3,86M/s 00:00 [------------------------------------------------------------] 100%
(2/2) Prüfe Schlüssel im Schlüsselring                                                               [------------------------------------------------------------] 100%
(2/2) Überprüfe Paket-Integrität                                                                     [------------------------------------------------------------] 100%
(2/2) Lade Paket-Dateien                                                                             [------------------------------------------------------------] 100%
(2/2) Prüfe auf Dateikonflikte                                                                       [------------------------------------------------------------] 100%
:: Verarbeite Paketänderungen...
(1/2) Installiere mailcap                                                                            [------------------------------------------------------------] 100%
(2/2) Installiere nginx                                                                              [------------------------------------------------------------] 100%
:: Starte post-transaction hooks...
(1/2) Reloading system manager configuration...
(2/2) Arming ConditionNeedsUpdate...
[root@user-pc user]# systemctl enable nginx
Created symlink /etc/systemd/system/multi-user.target.wants/nginx.service → /usr/lib/systemd/system/nginx.service.
[root@user-pc user]# systemctl start nginx
Job for nginx.service failed because the control process exited with error code.
See "systemctl status nginx.service" and "journalctl -xe" for details.
[root@user-pc user]# 
#####################

Code: Select all

[root@user-pc user]# systemctl status nginx.service
● nginx.service - A high performance web server and a reverse proxy server
   Loaded: loaded (/usr/lib/systemd/system/nginx.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Tue 2018-12-04 18:13:17 CET; 4min 26s ago
  Process: 32710 ExecStart=/usr/bin/nginx -g pid /run/nginx.pid; error_log stderr; (code=exited, status=1/FAILURE)

Dez 04 18:13:15 user-pc nginx[32710]: 2018/12/04 18:13:14 [warn] 32710#32710: could not build optimal types_hash, you should increase either types_hash_max_size: 1024 >
Dez 04 18:13:15 user-pc nginx[32710]: 2018/12/04 18:13:14 [emerg] 32710#32710: bind() to 0.0.0.0:80 failed (98: Address already in use)
Dez 04 18:13:15 user-pc nginx[32710]: 2018/12/04 18:13:14 [emerg] 32710#32710: bind() to 0.0.0.0:80 failed (98: Address already in use)
Dez 04 18:13:16 user-pc nginx[32710]: 2018/12/04 18:13:14 [emerg] 32710#32710: bind() to 0.0.0.0:80 failed (98: Address already in use)
Dez 04 18:13:16 user-pc nginx[32710]: 2018/12/04 18:13:14 [emerg] 32710#32710: bind() to 0.0.0.0:80 failed (98: Address already in use)
Dez 04 18:13:17 user-pc nginx[32710]: 2018/12/04 18:13:14 [emerg] 32710#32710: bind() to 0.0.0.0:80 failed (98: Address already in use)
Dez 04 18:13:17 user-pc nginx[32710]: 2018/12/04 18:13:14 [emerg] 32710#32710: still could not bind()
Dez 04 18:13:17 user-pc systemd[1]: nginx.service: Control process exited, code=exited status=1
Dez 04 18:13:17 user-pc systemd[1]: nginx.service: Failed with result 'exit-code'.
Dez 04 18:13:17 user-pc systemd[1]: Failed to start A high performance web server and a reverse proxy server.
lines 1-15/15 (END)
Reboot has helped
##############
Had to go away, did not solve my problem


Post Reply

Return to “Desktop environment”